SDL_aligned_free(3)

NAME
SDL_aligned_free - Free memory allocated by SDL_aligned_alloc ().

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_aligned_free(void *mem);

DESCRIPTION
The pointer is no longer valid after this call and cannot be dereferenced anymore.

If mem is NULL, this function does nothing.

FUNCTION PARAMETERS

mem a pointer previously returned by SDL_aligned_alloc (), or NULL.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_aligned_alloc(3)